#! /bin/sh

# pnmcat-stream - pnmcat for a multi image stream

# Copyright (c) 2007-2022 Erik Auerswald <auerswal@unix-ag.uni-kl.de>
# 
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

[ $# -gt 0 ] || { echo "pnmcat-stream: usage: pnmcat-stream -lr|-tb [options]" \
                  1>&2; exit 1; }

which pnmsplit > /dev/null 2>&1 || \
    { echo "pnmcat-stream: error: pnmsplit not in PATH" 1>&2; exit 1; }

which pnmcat > /dev/null 2>&1 || \
    { echo "pnmcat-stream: error: pnmcat not in PATH" 1>&2; exit 1; }

dir="`mktemp -dt`" || \
    { echo "pnmcat-stream: error: could not create temporary directory" 1>&2; \
      exit 1; }

trap "rm -rf \"${dir}\"" 0

pnmsplit - "${dir}/image%d.pnm" -padname=5 -quiet

pnmcat "$@" "${dir}"/image?????.pnm
